Ubuntu

Intel 9XX Chipsets fail to suspend

Reported by Karianne Fog Heen on 2006-10-23
62
This bug affects 2 people
Affects Status Importance Assigned to Milestone
X.Org X server
Confirmed
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.17 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: linux-source-2.6.17

Edgy RC on laptop Compaq nc8230
Suspend seems to work fine, but will not resume at all. The laptop appears to start working, but no response from monitor or keyboard.

Karianne Fog Heen (simira) wrote :

kern.log

Odd Rune Dale (oddrune) wrote :

Same here on a Dell Latitude D420.

My kern.log is very short though:
Oct 25 19:08:18 ixion kernel: [17179993.756000] video bus notify
Oct 25 19:08:19 ixion kernel: [17179994.808000] video bus notify

.. and that's it. I hardkill it with the power switch here, because it's my only way of regaining control afaik.

Timothy Smith (tas50) wrote :

Perhaps I'm totally off here, but it sounds like the 810 driver included in Edgy has a major regression that is killing resuming. Edgy ships with 1.6.5, which is identified on the xorg bug tracking page as having this problem. The problem has been fixed in the 1.7.1 release and could possibly be back ported to Ubuntu to fix the huge number of people having this problem.

https://bugs.freedesktop.org/show_bug.cgi?id=8542

Timothy Smith (tas50) wrote :

Change from kernel to Xorg and mark as confirmed as it's popping up all over the place

Changed in linux-source-2.6.17:
status: Unconfirmed → Confirmed
Changed in xorg-server:
status: Unknown → Fix Released

Can anyone affected by this bug attach their lspci

MaV (maciej-trebacz) wrote :

Fujitsu-Siemens Amilo M7440g Notebook

unggnu (unggnu) wrote :
Timothy Smith (tas50) wrote :
Timothy Smith (tas50) wrote :
Timothy Smith (tas50) wrote :
Timothy Smith (tas50) wrote :

So I posted the lspci outputs of all the duplicate bugs here. Jim Apple has tried the modified i810 driver patched by Alan Hourihane at FreeDesktop to fix the issue. It did not fix his problem. If anyone else could load that driver and see if their problems have been fixed that would be fantastic. It's a modified 1.7 i810 driver.

http://www.fairlite.demon.co.uk/intel.html

MaV (maciej-trebacz) wrote :

I've loaded this driver and same thing happens - black screen, no backlight. Oh, and I've forgot to mention something - suspend didn't work for me in Dapper and Breezy as well. Hibernate works though.

MaV (maciej-trebacz) wrote :

I noticed that people that are affected by this bug not only have same graphic cards - all of us have Intel Centrino computers. Maybe this'll help?

canatella (dam-cosinux) wrote :

I agree with MaV: see #69340 and #69005.

Timothy Smith (tas50) on 2006-11-07
Changed in xorg-server:
status: Unconfirmed → Rejected
Dale (quail-linux) wrote :
canatella (dam-cosinux) wrote :

Any news on this ? I tried kernel.org 2.6.19 booting using init=/bin/bash and unloading all modules that were not used and it still does not work. Idem with feisty kernel 2.6.19 generic.

On 12/1/06, canatella <email address hidden> wrote:
> Any news on this ? I tried kernel.org 2.6.19 booting using
> init=/bin/bash and unloading all modules that were not used and it still
> does not work. Idem with feisty kernel 2.6.19 generic.

Can you check if this is yet another instance of Bug #69208?

--
Zak B. Elep || http://zakame.spunge.org
<email address hidden> || <email address hidden> || <email address hidden>
1486 7957 454D E529 E4F1 F75E 5787 B1FD FA53 851D

canatella (dam-cosinux) wrote :

That bug is about suspend to disk. The problem here is about suspend to ram.

Nicola Ferralis (feranick) wrote :

My Dell Latitude D620 fails to resume.

Ok I faced wit the same problem here.

I got Intel Centrino but with Ati X300 graph.card on acer aspire 1652wlmi. After fresh setup the system suspended and woke up each time, but after updating some things it had all the nice black screen syndroms.

Some important things

Do not use any proprietary drivers from Ati (fglrx) or Intel, ok you can have beryl but you wont be able to wake up after suspend.

I don not know if it s a bug or else, but when you have something attached through USB the ntb wont suspend, it is idependent from used kernel.

If you have any IPW2100,IPW2200 (found out with theese two) chipsets you need them unload them before going to suspend (blacklisting /etc/defaults/acpi-support)

Next thing edit /etc/defaults/acpi-support and change sleep (S3) to stand-by (S1) it takes more battery but its more "compatible"

So I have kernel 2.6.18.5, with standard radeon kernel driver and Mesa, and changes in configuration files mentioned above, I also have to detach my USB wireless keyboard before going to suspend. And everything works fine...

Ok this works on Acer Aspire 1652Wlmi with ati x300 graphic card which has a Intel Centrino technology.

I tried the suggestions made by bduchaj above on my HP Compaq nc8230 (which this issue was originally reported on), but unfortunately I had no success.

When setting ACPI_SLEEP_MODE to standby, the machine was not able to suspend, but "woke up" immediately when attempting to do so. If I listed ipw2200 to be removed (the MODULES parameter), I could see that it was removed, since the (wired) network stopped working after this :-). Changing only one of the parameters leaving the other unchanged didn't work either.

I tried to elaborate with a few other of the parameters listed in the file as well, but with no "visible" effect.

bduchaj, do you have any further tips that may be worth trying?

Some minor clarifications to the previous post, if someone likes to elaborate further:
- The file to edit is "/etc/default/acpi-support" (mis-spelled above).
- The parameters in this file to elaborate with (as suggested by bduchaj above) are, as I understand: ACPI_SLEEP_MODE (set to "standby" instead of "mem") and MODULES.
- To find out if you are using any of the modules that are suggested to be black-listed, run "lsmod | grep ipw" and see if ipw2100 or ipw2200 comes up.

I continued to investigate this and when looking for ACPI tools in order to get some more info, I found a package called hibernate, which I installed. After that I am now able to successfully suspend (to RAM) and resume on my nc8230!

hibernate is part of universe, so I guess most people have no problems using it.

(I restored /etc/default/acpi-support to the default - not that I know if it matters, now that hibernate seems to handle suspend/resume.)

Another work around that used to work fine for me, was to use the old "Dapper" kernel 2.6.15, but other posts indicate that this may not work on all machines.

bduchaj (bduchaj) wrote :

Hi,

sorry for mis-spelling the /etc/default/acpi-support, my fault. As for the option "mem", with this in ACPI_SLEEP_MODE my acer goes off and awakes like after normal power-up...

As I stated up this things I have tested on my acer ntb, the package called hibernate did not work for me - trouble with fglrx - if i killed X and removed fglrx it worked flawless, on the other side never tried it with the default radeon driver...

I also tried to use the suspend2 in kernel 2.6.17 with beyond patches (which I think are worth trying - http://iphitus.loudas.com/archck.php- dark side you need to compile a new kernel also you need the default 2.6.17, but then the speed is simply improved... :-) ), this also worked only when there was nothing in the USB ports and no fglrx loaded...

But something I found last days, I think for the fglrx driver that ati makes "fits" better in the default kernels in Edgy/Dapper as in self compiled kernels, becuase if you have the default kernel you might be able to suspend/hibernate, again it sometimes works 5-6 suspends and then blank screen and sometimes not.

Funny thing is that this same syndroms I had under Suse 10.1 (sometimes working sometimes not).

The removal of the ipw2200 is for me necessary without it the computer wont suspend, it "suspends" and in 1-2 secs it goes up....

P.S. On my wifes ntb which is a ECS A 535+ lowend with duron, I just chaged the mem to standby in ACPI_SLEEP_MODE and the system suspends but the processor cooler stays running all the time, but the computer suspends and awakes all the time with no errors...

Karianne Fog Heen (simira) wrote :

Still fails to resume with Herd2

MaV (maciej-trebacz) wrote :

BUMP.

Still occurs on Feisty.

unggnu (unggnu) wrote :

This bug has been fixed for me since Feisty on Sony Vaio TX2. I would try the new intel driver in Feisty (xserver-xorg-video-intel). It works without the new one for me but maybe it helps.

MaV (maciej-trebacz) wrote :

I can confirm that installing xserver-xorg-video-intel package and restarting X fixed the problem.

Thanks Enola!

Changed in acpi-support:
status: Confirmed → Fix Released
Lynoure Braakman (lynoure) wrote :

Which version of what package should fix this? Switching to xserver-xorg-video-intel was not a workaround for me (no change, still fails to recover from suspend), so I hope the fix is something else.

Have you upgraded your BIOS? It works for me now, at last!

Lynoure Braakman wrote:
> Which version of what package should fix this? Switching to xserver-
> xorg-video-intel was not a workaround for me (no change, still fails to
> recover from suspend), so I hope the fix is something else.
>

Lynoure Braakman (lynoure) wrote :

Unfortunately even after that my nc8230 does not suspend to ram, or
rather, suspends but does not recover. Do you use any of the
workaround scripts in addition? There might still be some I have not
tried.

On 6/20/07, Karianne Fog Heen <email address hidden> wrote:
> Have you upgraded your BIOS? It works for me now, at last!
>
> Lynoure Braakman wrote:
> > Which version of what package should fix this? Switching to xserver-
> > xorg-video-intel was not a workaround for me (no change, still fails to
> > recover from suspend), so I hope the fix is something else.
> >
>
> --
> Intel 9XX Chipsets fail to suspend
> https://bugs.launchpad.net/bugs/67710
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Karianne Fog Heen (simira) wrote :

No, with an upgraded BIOS it now all works for me out of the box.
(hivernate, at least)

Lynoure Braakman wrote:
> Unfortunately even after that my nc8230 does not suspend to ram, or
> rather, suspends but does not recover. Do you use any of the
> workaround scripts in addition? There might still be some I have not
> tried.
>
> On 6/20/07, Karianne Fog Heen <email address hidden> wrote:
>> Have you upgraded your BIOS? It works for me now, at last!
>>
>> Lynoure Braakman wrote:
>>> Which version of what package should fix this? Switching to xserver-
>>> xorg-video-intel was not a workaround for me (no change, still fails to
>>> recover from suspend), so I hope the fix is something else.
>>>
>> --
>> Intel 9XX Chipsets fail to suspend
>> https://bugs.launchpad.net/bugs/67710
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>

Lynoure Braakman (lynoure) wrote :

Could you test if suspend-to-ram works for you out of the box, too?
Hibernate (to disk) always worked for me on nc6230, but suspend not
even now and if I'm not alone with that problem, maybe this bug should
not be marked fixed.

On 6/23/07, Karianne Fog Heen <email address hidden> wrote:
> No, with an upgraded BIOS it now all works for me out of the box.
> (hivernate, at least)
>
> Lynoure Braakman wrote:
> > Unfortunately even after that my nc8230 does not suspend to ram, or
> > rather, suspends but does not recover. Do you use any of the
> > workaround scripts in addition? There might still be some I have not
> > tried.
> >
> > On 6/20/07, Karianne Fog Heen <email address hidden> wrote:
> >> Have you upgraded your BIOS? It works for me now, at last!
> >>
> >> Lynoure Braakman wrote:
> >>> Which version of what package should fix this? Switching to xserver-
> >>> xorg-video-intel was not a workaround for me (no change, still fails to
> >>> recover from suspend), so I hope the fix is something else.
> >>>
> >> --
> >> Intel 9XX Chipsets fail to suspend
> >> https://bugs.launchpad.net/bugs/67710
> >> You received this bug notification because you are a direct subscriber
> >> of the bug.
> >>
> >
>
> --
> Intel 9XX Chipsets fail to suspend
> https://bugs.launchpad.net/bugs/67710
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Changed in acpi-support:
status: Fix Released → In Progress
Chris Cheney (ccheney) wrote :

For me suspend to ram works with an Intel 945 (Toshiba A205) laptop with integrated graphics on Ubuntu 7.04 i386. It does not work for me on Ubuntu Gutsy Tribe-2 amd64 though, it resumes at the kernel level but the X graphics doesn't come back. However, I am working with Matthew and Kyle to get this resolved as well.

Matthew Garrett (mjg59) wrote :

Not an acpi-support issue

Mahdi (mahdi-hates-spam) wrote :

I'm running latest gutsy beta on a Toshiba Satellite A205-S4797.
Suspend and resume used to work on early gutsy versions. Now I can suspend fine (get blinky yellow power led and everything), but when i try to resume, i see a yellow "Linux!" message on a term and then only a black screen and disk activity.
After that only ctrl+alt+del works (can't change terms nor kill the x server). I occurs both using intel and i810 drivers on 2.6.22.* kernels.

Sergio Zanchetta (primes2h) wrote :

The 18 month support period for Edgy Eft 6.10 has reached it's end of life. As a result, we are closing the linux-source-2.6.17 Edgy Eft kernel task.

Hardy Heron 8.04 was recently released. It would be helpful if you could test the new release and verify if this is still an issue - http://www.ubuntu.com/getubuntu/download . You should be able to test your bug using the LiveCD. Please let us know your results. Thanks.

Changed in linux-source-2.6.17:
status: In Progress → Invalid
Changed in linux:
status: New → Incomplete

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Ralph Janke (txwikinger) wrote :

Unfortunately this bug report is being closed because we received no response to the last inquiry for information. However, the Intrepid Ibex 8.10 Beta release was most recently announced - http://www.ubuntu.com/testing/intrepid/beta . If you are able to confirm this is still an issue with this most recent release please feel free to reopen this report. To reopen the bug report you can click on the current status, under the Status column, and change the Status back to "New". Thanks.

Changed in linux:
status: Incomplete → Won't Fix
LimCore (limcore) wrote :

Same bug seems to occur for me;
Intel laptop 64bit single core: Acer Extensa 5220 gfx: X3100 (GM965/GL960)
I can suspend to memory, but when it is waking, all seems ok - yet the monitor is black and keyboard does not react.

On ubuntu 8.10 up to date (2008-10-18 15:00 gtm+2)

Hibernation works fine except sound bug#254312

Changed in xorg-server:
status: Invalid → Confirmed
LimCore (limcore) wrote :

Nowdays suspend to memory fully fails on my Acer Extensa 5220 gfx: X3100 (GM965/GL960).

See bug#382223

LimCore (limcore) wrote :

Actually, suspend works for me - if you resume using keyboard key, not the power button

Bib (bybeu) wrote :

Amilo M7405 meerkat then narwhall , still is the problem :
lspci:
00:00.0 Host bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller (rev 03)
01:03.0 CardBus bridge: O2 Micro, Inc. OZ711M1/MC1 4-in-1 MemoryCardBus Controller (rev 20)
01:03.1 CardBus bridge: O2 Micro, Inc. OZ711M1/MC1 4-in-1 MemoryCardBus Controller (rev 20)
01:03.2 System peripheral: O2 Micro, Inc. OZ711Mx 4-in-1 MemoryCardBus Accelerator
01:07.0 Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)
01:0a.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link)
01:0c.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)

Bib (bybeu) wrote :

I performed several fresh i386 desktop installs from 8.04 Hardy to 11.10 Oneiric.
Suspend works until 9.04 Jaunty included. Beginning with 9.10 Karmic, resume is broken. (BTW, I discovered that unpluging the battery charger (new 100% charged battery) in Karmic sends the laptop to sleep and then hang - maybe another different bug)
The chipset is i855GM but I post this here because I had to F6 something like nomodeset-i915=1 to be able to install some later release.

Ir0nsh007er (ir0n) wrote :

Laptop acer travelmate 220 on Xubuntu 11.10 not working... Black screen still ..

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.